GlueGen: com.jogamp.gluegen.JavaCodeUnit Class Reference

GlueGen v2.6.0-rc-20250712 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Public Attributes | List of all members
com.jogamp.gluegen.JavaCodeUnit Class Reference

Java code unit (a generated Java source file), covering multiple `FunctionEmitter` allowing to unify output, decoration and dynamic helper code injection per unit. More...

Inheritance diagram for com.jogamp.gluegen.JavaCodeUnit:
Collaboration diagram for com.jogamp.gluegen.JavaCodeUnit:

## Public Member Functions

| JavaCodeUnit (final String filename, final String packageName, final String simpleClassName, final Object generator) throws IOException
String | toString ()
Public Member Functions inherited from com.jogamp.gluegen.CodeUnit
boolean | addTailCode (final String c)
| Add a tail code to this unit. More...
void | emitln ()
void | emitln (final String s)
void | emit (final String s)
void | emitf (final String s, final Object... args)
void | emitTailCode ()
void | close ()
String | toString ()

## Public Attributes

final String | pkgName
| Package name of this Java unit. More...
final String | className
| Simple class name of this Java unit. More...
Public Attributes inherited from com.jogamp.gluegen.CodeUnit
final String | filename
final PrintWriter | output

## Additional Inherited Members

Protected Member Functions inherited from com.jogamp.gluegen.CodeUnit
| CodeUnit (final String filename, final Object generator) throws IOException

## Detailed Description

Java code unit (a generated Java source file), covering multiple `FunctionEmitter` allowing to unify output, decoration and dynamic helper code injection per unit.

Definition at line 36 of file JavaCodeUnit.java.

## Constructor & Destructor Documentation

## ◆ JavaCodeUnit()

com.jogamp.gluegen.JavaCodeUnit.JavaCodeUnit | ( | final String | filename,
|  | final String | packageName,
|  | final String | simpleClassName,
|  | final Object | generator
| ) |  | throws IOException

Parameters

  filename | the class's full filename to open w/ write access
  packageName | the package name of the class
  simpleClassName | the simple class name, i.e. w/o package name or c-file basename
  generator | informal optional object that is creating this unit, used to be mentioned in a warning message if not null.

Exceptions

  IOException |

Definition at line 49 of file JavaCodeUnit.java.

Here is the call graph for this function:

## Member Function Documentation

## ◆ toString()

String com.jogamp.gluegen.JavaCodeUnit.toString | ( |  | ) |

Reimplemented from com.jogamp.gluegen.CodeUnit.

Definition at line 57 of file JavaCodeUnit.java.

## Member Data Documentation

## ◆ className

final String com.jogamp.gluegen.JavaCodeUnit.className

Simple class name of this Java unit.

Definition at line 40 of file JavaCodeUnit.java.

## ◆ pkgName

final String com.jogamp.gluegen.JavaCodeUnit.pkgName

Package name of this Java unit.

Definition at line 38 of file JavaCodeUnit.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/JavaCodeUnit.java